/********************************************************************************
 Author        : CAST 	macduan

 Date          : 2011-3-21

 Hardware      : ADuC7026+AD5318	
********************************************************************************/
#include<ADuC7026.h>
#include"AD7026_DRIVER.h"
#include"AD5318_IO.h"


 void delay(int length)
{
 while (length >0)
    length--;
}

/********************************************************************************
 WriteToAD5668ViaSpi();

 Function that writes to the AD5668 via the SPI port. It sends first the control word
 that includes the start address and then the data to write.
********************************************************************************/

void WriteToAD5318ViaSpi(long int *RegisterData)
{
  long int ValueToWrite = *RegisterData;
  int i;

  SET_SYNC();
  delay(4);
  CLR_SYNC();
  delay(2);

  for(i=0;i<16;i++)
  {
    SET_SCLK();
    delay(2);
  
    if((ValueToWrite & 0x8000)==0x8000)
    {
      SET_SDIN();
    }	              // SDIN=1
    else
    {
      CLR_SDIN();
    }	             // SDIN=0;

    delay(2);
    CLR_SCLK();
    delay(2);

    ValueToWrite <<=1;  //Rotate data
    delay(2);

  }

  SET_SYNC();	 
  delay(4);
}
	