/********************************************************************************
 Author        : CAST  macduan

 Date          : 2011-3-21

 Hardware      : ADuC7026+AD5318
********************************************************************************/

#ifndef AD7026_DRIVER_H
#define AD7026_DRIVER_H

#define SET_SYNC()   GP4DAT = (GP4DAT | 0x00400000) //P4.6->SYNC
#define CLR_SYNC()   GP4DAT = (GP4DAT & 0xFFBFFFFF) 

#define SET_SCLK()	    GP2DAT = (GP2DAT | 0x00080000)	//P2.3->SCLK
#define CLR_SCLK()		GP2DAT = (GP2DAT & 0xFFF7FFFF)

#define	SET_SDIN()		GP4DAT = (GP4DAT | 0x00080000)	//P4.3->SDIN
#define	CLR_SDIN()		GP4DAT = (GP4DAT & 0xFFF7FFFF)

#define SET_CLR()       GP4DAT = (GP4DAT | 0x00200000)  //P4.5->CLR
#define CLR_CLR()       GP4DAT = (GP4DAT & 0xFFDFFFFF)  

void delay (int length);

void ADuC7026_Initiate(void);

void putchar(unsigned char ch);

void WriteToAD5318ViaSpi(long int *RegisterData);

#endif
