/********************************************************************************
 Author        : CAST  macduan

 Date          : 2011-3-21

 Hardware      : ADuC7026+AD5318
********************************************************************************/


#include<ADuC7026.h>
#include"AD7026_DRIVER.h"
#include"AD5318_IO.h"

int main()
{

long int cstr = 0;
ADuC7026_Initiate();

cstr = Control_LDAC | LDAC_low;	 //software control LDAC the LDAC pin should be set
WriteToAD5318ViaSpi(&cstr);

/******************************************************************** 
A-D use VDD as REF and E-H use 2.5v REF and output range set to 0-2Vref

cstr = Control_Output_REF | GAIN_EtoH  | VDD_AtoD;   
WriteToAD5318ViaSpi(&cstr);
*********************************************************************/

cstr = Control_Output_REF | VDD_EtoH | VDD_AtoD;	//using unbuffer VDD as REF
WriteToAD5318ViaSpi(&cstr);

cstr = DAC_Write | DAC_H | 0x0FFC;				 // VoutH=4.96V
WriteToAD5318ViaSpi(&cstr);
												 
cstr = DAC_Write | DAC_E | 0x0800;				 // VoutE=2.42V
WriteToAD5318ViaSpi(&cstr);

cstr = DAC_Write | DAC_D | 0x00FC;			     // VoutD=3.14V
WriteToAD5318ViaSpi(&cstr);

/*************************************************
each channel can be power_down separately

cstr = Control_Power_Down | Channel_D;
WriteToAD5318ViaSpi(&cstr);

**************************************************/

/*************************************************
power_on reset

cstr = Control_Reset | DAC_Data_Control_reset;
WriteToAD5318ViaSpi(&cstr);
**************************************************/

while(1)
{;}

return 0;
}